curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/upgrade/v1beta1/upgraded_consensus_state/{lastHeight}import requests
url = "https://cosmos-rest.publicnode.com/cosmos/upgrade/v1beta1/upgraded_consensus_state/{lastHeight}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/upgrade/v1beta1/upgraded_consensus_state/{lastHeight}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"upgraded_consensus_state": "aSDinaTvuI8gbWludGxpZnk="
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}UpgradedConsensusState
gRPC: cosmos.upgrade.v1beta1.Query/UpgradedConsensusState (reference)
UpgradedConsensusState queries the consensus state that will serve as a trusted kernel for the next version of this chain. It will only be stored at the last height of this chain. UpgradedConsensusState RPC not supported with legacy querier This rpc is deprecated now that IBC has its own replacement (https://github.com/cosmos/ibc-go/blob/2c880a22e9f9cc75f62b527ca94aa75ce1106001/proto/ibc/core/client/v1/query.proto#L54)
Path Parameters
last height of the current chain must be sent in request as this is the height under which next consensus state is stored
Response
A successful response.
QueryUpgradedConsensusStateResponse is the response type for the Query/UpgradedConsensusState RPC method.
Was this page helpful?